Bug 863515 - RFE: "run once" mode for static configuration
RFE: "run once" mode for static configuration
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1083683
  Show dependency treegraph
 
Reported: 2012-10-05 13:15 EDT by Matthew Miller
Modified: 2015-08-18 11:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1083683 (view as bug list)
Environment:
Last Closed: 2015-08-18 11:28:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2012-10-05 13:15:23 EDT
Background:

* It's desirable to have just once nice, new, modern codepath for network configuration.

* many enterprise and cloud configurations do not need the features that a running network manager daemon provide

* regardless of whether there is really a practical impact, many professional sysadmins have a strong aversion to the idea of a daemon running to control the network (especially when it's perceived as adding no value).

Request:

Please add a "oneshot" mode, where NetworkManager starts, reads the on-disk configuration files, applies any needed changes, and then exits.

This will make it much less painful to replace the legacy network configuration scripts, and will make our sysadmin constituents happy. They may even grow to love NetworkManager.
Comment 1 Matthew Miller 2012-10-11 12:37:53 EDT
In the Fedora Cloud images, NetworkManager is the second-largest single thing running by default -- the largest being dhclient. It has an RSS of 6.6M, and a unique (not shared libs) footprint of about 3.4M. That's pretty small, but if we're trying to squeeze into a very small instance, every bit counts — and, if we multiply by a large number of running instances, it adds up.
Comment 2 Matthew Miller 2013-06-20 10:56:05 EDT
We also need to cover the simple dhcp-on-one-network case -- nothing fancy, but something needs to renew the DHCP leases. The run-once mode should also be able to configure that, just as initscripts networking does now. (I can make that a separate RFE if that's easier.)
Comment 3 Dan Williams 2014-04-02 13:48:41 EDT
Untested code for the static use-case is in dcbw/rh863515-rh1083683-config-then-quit
Comment 4 Fedora Admin XMLRPC Client 2015-08-18 10:56:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Dan Winship 2015-08-18 11:28:01 EDT
This was implemented in NM 1.0, which is in F22. 'man NetworkManager.conf' and search for configure-and-quit.

Note You need to log in before you can comment on or make changes to this bug.